************************************************************

	subroutine boxcar (A,Ab,N,Nbox)
	
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C									C
C This subroutine carries out boxcar averaging on a data string.	C
C									C
C Michel Louge 12/22/1993.						C
C									C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C									C
C Input variables:							C
C									C
C A(Ns)			input array					C
C									C
C N			actual integer dimension of the array A		C
C									C
C Nbox			odd integer number of points participating	C
C			to the boxcar average.				C
C									C
C Ns			the array A has virtual dimensions of Ns	C
C									C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C									C
C Output variable:							C
C									C
C Ab(Ns)		output array. The number of useful points	C
C			in this array is only N-2p.			C
C									C
C			The first useful point has index p+1;		C
C			the last useful point has index N-p.		C
C									C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C									C
C Internal variables:							C
C									C
C p			Nbox = 2p+1					C
C									C
C i,j			working integers				C
C									C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

	integer Ns
	parameter (Ns=200)
	
	real A(Ns),Ab(Ns)
	integer N,Nbox,p
	
	do i = 1,Ns
	Ab(i) = 0.0
	end do
	
	p = Nbox/2
	
	if (2*p+1.ne.Nbox) then
	
		write (*,'(a)') 'Boxcar integer is not odd;'
		write (*,'(a)') 'ignore boxcar averaging.'
		
		Nbox	=	1
		p	=	0
	
	end if
	
	do i = p+1,N-p
	
	 Ab(i) = 0.0
	
		do j = 1,Nbox
		
		 Ab(i) = Ab(i) + A(i-p+j-1)
		
		end do
	
	 Ab(i) = Ab(i)/Nbox
	
	end do
	
	return
	
	end
	
